#ifndef CSurfaceBufferD3D9_h
#define CSurfaceBufferD3D9_h

#include"../../../../../Setup/CompileMode.h"
#include"../../CSurfaceBuffer.h"

#include"D3D9Include.h"

namespace Maid
{
	/*!
	 	@class	CSurfaceBufferMemory CSurfaceBufferMemory.h
	 	@brief	サーフェスバッファ D3D9 Ver.
	 */
	class CSurfaceBufferD3D9 : public ISurfaceBuffer
	{
	public:
		CSurfaceBufferD3D9();
		CSurfaceBufferD3D9( IDirect3DSurface9* pCom );

		virtual SIZE2DI GetSize() const;
		virtual PIXELFORMAT GetPixelFormat() const;

		virtual void Lock( SPSURFACEBUFFERINFO& info );
		virtual void Unlock();

		SPD3DSURFACEBUFFER	pSurface;

		D3DSURFACE_DESC Desc;
	};
}


#endif